com.tibco.tibjms

## Class TibjmsTopic

- java.lang.Object
- - TibjmsDestination
  - - com.tibco.tibjms.TibjmsTopic

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Destination, Topic, javax.naming.Referenceable

      public class TibjmsTopic
      extends TibjmsDestination
      implements Topic, java.io.Serializable, java.lang.Cloneable, javax.naming.Referenceable

  Implementation of javax.jms.Topic which can be used for administrative purposes.
  Normally JMS applications lookup Topic objects via JNDI calls. This class can be used by the administrator application if it is required to store TibjmsTopic objects in the 3rd party JNDI store such as LDAP or similar.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsTopic()` Constructs a new TibjmsTopic object.
    `TibjmsTopic(java.lang.String address)` Constructs a new TibjmsTopic object with the given address.
    `TibjmsTopic(java.lang.String address, java.lang.String jndiName)` Internal constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getAddress()` Gets the address of this topic.
    `javax.naming.Reference` | `getReference()`
    `java.lang.String` | `getTopicName()` Gets the name of this topic.
    `void` | `setAddress(java.lang.String address)` Sets the address of this topic.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TibjmsTopic

          public TibjmsTopic()

      Constructs a new TibjmsTopic object.

    - #### TibjmsTopic

          public TibjmsTopic(java.lang.String address)

      Constructs a new TibjmsTopic object with the given address.
      Parameters:
        `address` - address of the topic

    - #### TibjmsTopic

          public TibjmsTopic(java.lang.String address,
                             java.lang.String jndiName)

      Internal constructor.

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`

    - #### equals

          public boolean equals(java.lang.Object obj)

    - #### getTopicName

          public java.lang.String getTopicName()
                                        throws JMSException

      Description copied from interface: `Topic`
      Gets the name of this topic.

      Clients that depend upon the name are not portable.

      Specified by:
        `getTopicName` in interface `Topic`
      Returns:
        the topic name
      Throws:
        `JMSException` - if the JMS provider implementation of `Topic` fails to return the topic name due to some internal error.

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `Topic`
      Returns a string representation of this object.
      Specified by:
        `toString` in interface `Topic`
      Returns:
        the provider-specific identity values for this topic

    - #### getReference

          public javax.naming.Reference getReference()
                                              throws javax.naming.NamingException

      Specified by:
        `getReference` in interface `javax.naming.Referenceable`
      Throws:
        `javax.naming.NamingException`

    - #### getAddress

          public java.lang.String getAddress()

      Gets the address of this topic. Address and name are synonyms.
      Returns:
        the topic's address

    - #### setAddress

          public void setAddress(java.lang.String address)
                          throws JMSException

      Sets the address of this topic. Address and name are synonyms.
      Example:
      `TibjmsTopic topic = new TibjmsTopic();
      topic.setAddress("topic.sample");`
      Parameters:
        `address` - the string representing the address, or name, of this topic
      Throws:
        `JMSException` - if the address has already been set

Copyright © Cloud Software Group, Inc. All rights reserved